VULKAN_HPP_NAMESPACE::ClearDepthStencilValue Struct Reference

`#include <vulkan.hpp>`

## Public Member Functions

| ClearDepthStencilValue (float depth_=0, uint32_t stencil_=0)
| ClearDepthStencilValue (VkClearDepthStencilValue const &rhs)
ClearDepthStencilValue & | operator= (VkClearDepthStencilValue const &rhs)
ClearDepthStencilValue & | setDepth (float depth_)
ClearDepthStencilValue & | setStencil (uint32_t stencil_)
| operator VkClearDepthStencilValue const & () const
| operator VkClearDepthStencilValue & ()
bool | operator== (ClearDepthStencilValue const &rhs) const
bool | operator!= (ClearDepthStencilValue const &rhs) const

## Data Fields

float | depth
uint32_t | stencil

## Detailed Description

Definition at line 6124 of file vulkan.hpp.

## Constructor & Destructor Documentation

## ClearDepthStencilValue() [1/2]

VULKAN_HPP_NAMESPACE::ClearDepthStencilValue::ClearDepthStencilValue | ( | float | depth_ = `0`,
|  | uint32_t | stencil_ = `0`
| ) |  |

inline

Definition at line 6126 of file vulkan.hpp.

: depth( depth_ )
, stencil( stencil_ )
{
}

## ClearDepthStencilValue() [2/2]

VULKAN_HPP_NAMESPACE::ClearDepthStencilValue::ClearDepthStencilValue | ( | VkClearDepthStencilValue const & | rhs | ) |

inline

Definition at line 6133 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( ClearDepthStencilValue ) );
}

References memcpy.

## Member Function Documentation

## operator VkClearDepthStencilValue &()

VULKAN_HPP_NAMESPACE::ClearDepthStencilValue::operator VkClearDepthStencilValue & | ( |  | ) |

inline

Definition at line 6160 of file vulkan.hpp.

{
return *reinterpret_cast<VkClearDepthStencilValue*>(this);
}

## operator VkClearDepthStencilValue const &()

VULKAN_HPP_NAMESPACE::ClearDepthStencilValue::operator VkClearDepthStencilValue const & | ( |  | ) | const

inline

Definition at line 6155 of file vulkan.hpp.

{
return *reinterpret_cast<const VkClearDepthStencilValue*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::ClearDepthStencilValue::operator!= | ( | ClearDepthStencilValue const & | rhs | ) | const

inline

Definition at line 6171 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

ClearDepthStencilValue& VULKAN_HPP_NAMESPACE::ClearDepthStencilValue::operator= | ( | VkClearDepthStencilValue const & | rhs | ) |

inline

Definition at line 6138 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( ClearDepthStencilValue ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::ClearDepthStencilValue::operator== | ( | ClearDepthStencilValue const & | rhs | ) | const

inline

Definition at line 6165 of file vulkan.hpp.

{
return ( depth == rhs.depth )
&& ( stencil == rhs.stencil );
}

References depth, and stencil.

Referenced by operator!=().

## setDepth()

ClearDepthStencilValue& VULKAN_HPP_NAMESPACE::ClearDepthStencilValue::setDepth | ( | float | depth_ | ) |

inline

Definition at line 6143 of file vulkan.hpp.

{
depth = depth_;
return *this;
}

## setStencil()

ClearDepthStencilValue& VULKAN_HPP_NAMESPACE::ClearDepthStencilValue::setStencil | ( | uint32_t | stencil_ | ) |

inline

Definition at line 6149 of file vulkan.hpp.

{
stencil = stencil_;
return *this;
}

## Field Documentation

## depth

float VULKAN_HPP_NAMESPACE::ClearDepthStencilValue::depth

Definition at line 6176 of file vulkan.hpp.

Referenced by operator==().

## stencil

uint32_t VULKAN_HPP_NAMESPACE::ClearDepthStencilValue::stencil

Definition at line 6177 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::ClearDepthStencilValue::ClearDepthStencilValue
ClearDepthStencilValue(float depth_=0, uint32_t stencil_=0)
Definition: vulkan.hpp:6126
VULKAN_HPP_NAMESPACE::ClearDepthStencilValue::stencil
uint32_t stencil
Definition: vulkan.hpp:6177
VULKAN_HPP_NAMESPACE::ClearDepthStencilValue::operator==
bool operator==(ClearDepthStencilValue const &rhs) const
Definition: vulkan.hpp:6165
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::ClearDepthStencilValue::depth
float depth
Definition: vulkan.hpp:6176
stencil
GLint GLfloat GLint stencil
Definition: SDL_opengl_glext.h:1165
depth
GLint GLint GLsizei GLsizei GLsizei depth
Definition: SDL_opengl.h:1572
VkClearDepthStencilValue
Definition: vulkan_core.h:2746